---
  name: sqmdatelist
  decscription: Gets SQL Date Dimension
  # No input parametrs
  out_parameters:
    - myear
      type: integer
    - mmonth
      type: integer
  
  dataservice:
    type: service
    name: RunPostgresQuery
    sql: "SELECT DISTINCT date_part('year', mdate) AS myear, date_part('month', mdate) mmonth FROM clearsky.mobilesqmreading
           ORDER BY 1, 2 ASC"

  renderservice:
    type: embedded
    html: "<form action="#" method="POST">
            <select name="yearselect" id="yearselect" onchange="this.form.submit()"> 
              {years}
            </select>
            <select name="monthselect" id="monthselect" onchange="this.form.submit()"> 
              {months}
            </select>
          </form>"